/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.dto.sm;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;


@JsonSerialize
@ApiModel(description = "同步缺陷状态字典对象")
public class SyncCltDictItemDto implements Serializable
{

  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  private String tenantId;
  /**
   * 缺陷流程id<br>
   */
  @ApiModelProperty("缺陷流程id")
  private String bugProcessId;
  /**
   * 缺陷状态字典对象<br>
   */
  @ApiModelProperty("缺陷状态字典对象")
  private List<CltDictItem> cltDictItemList;

    /**
   * 项目id列表
   * @return
   */
  @ApiModelProperty("项目id列表")
  private List<String> projectIdList;

  public String getTenantId() {
    return tenantId;
  }

  public void setTenantId(String tenantId) {
    this.tenantId = tenantId;
  }

  public List<CltDictItem> getCltDictItemList() {
    return cltDictItemList;
  }

  public void setCltDictItemList(List<CltDictItem> cltDictItemList) {
    this.cltDictItemList = cltDictItemList;
  }

  public List<String> getProjectIdList() {
    return projectIdList;
  }

  public void setProjectIdList(List<String> projectIdList) {
    this.projectIdList = projectIdList;
  }

  public String getBugProcessId() {
    return bugProcessId;
  }

  public void setBugProcessId(String bugProcessId) {
    this.bugProcessId = bugProcessId;
  }
}